xml_text {xml2} | R Documentation

## Extract or modify the text

### Description

`xml_text` returns a character vector, `xml_double` returns a numeric vector, `xml_integer` returns an integer vector.

### Usage

    xml_text(x, trim = FALSE)

    xml_text(x) <- value

    xml_double(x)

    xml_integer(x)

### Arguments

`x` | A document, node, or node set.
`trim` | If `TRUE` will trim leading and trailing spaces.
`value` | character vector with replacement text.

### Value

A character vector, the same length as x.

### Examples

    x <- read_xml("<p>This is some text. This is <b>bold!</b></p>")
    xml_text(x)
    xml_text(xml_children(x))

    x <- read_xml("<x>This is some text. <x>This is some nested text.</x></x>")
    xml_text(x)
    xml_text(xml_find_all(x, "//x"))

    x <- read_xml("<p>   Some text    </p>")
    xml_text(x, trim = TRUE)

    # xml_double() and xml_integer() are useful for extracting numeric
    attributes
    x <- read_xml("<plot><point x='1' y='2' /><point x='2' y='1' /></plot>")
    xml_integer(xml_find_all(x, "//@x"))

[Package xml2 version 1.0.0 Index]